---
schema_version: "1"
id: 848c8cd33f6d8ca5dda62d927b330db7a9412631db43ea4e1150c38a7890fc63
title: Insurance
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/financial_services/references/generated-api-specs/insurance.md
canonical_url: https://developer.salesforce.com/docs/industries/fsc/references/insurance
source_site: developer.salesforce.com
content_type: documentation
content_hash: e9dc0b44784ef6849004acfcd5e0e32d20ccb5b9cf3adb3e65eeb1aaa92f183c
products:
  - Agentforce Financial Services
  - Industries Integrations
---
Insurance

# Insurance

Use the Insurance API to streamline insurance processes.

**Version:** v1

Protocols: HTTPS.

## Operations

### POST Cancel Policy

`POST /policies/cancel`

Submits a Cancel Policy request.

#### Request body

Media type: `application/json`. Schema: `CancelPolicyRequest`.

#### Responses

*   **200** Cancel Policy request submitted successfully.
    
    Media type: `application/json`. Schema: `CancelPolicyResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "415"
    errorMessage: The server denied the request because it is not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Update Billing Frequency

`POST /policies/{policyId}/billing-frequency`

Updates the billing frequency for a policy.

#### Parameters

*   `policyId` (path, string, required) Unique identifier of the policy.  
    Example: `A436D4`.

#### Request body

Media type: `application/json`. Schema: `UpdateBillingFrequencyRequest`.

#### Responses

*   **200** Billing frequency update request processed successfully.
    
    Media type: `application/json`. Schema: `UpdateBillingFrequencyResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /policies/cancel 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /policies/cancel 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

## Schemas

### CancelPolicyRequest

*   `CancelPolicyRequest` (_object_, required)
    *   `PolicyId` (_string_, required) Unique identifier for the policy.
    *   `PolicyNumber` (_string_, required) Reference number associated with the policy.
    *   `PolicyType` (_string_, required) Type of policy, for example, Auto, Health, or Life.
    *   `CancellationDetails` (_object_, required)
        *   `RequestedCancellationDate` (_date-only_, required) The date the user requests to cancel the policy.
        *   `CancellationReason` (_string_, required) Reason for cancelling the policy.

_Example_

```
{
  "CancelPolicyRequest": {
    "PolicyId": "A436D4",
    "PolicyNumber": "123456789",
    "PolicyType": "Auto Insurance",
    "CancellationDetails": {
      "RequestedCancellationDate": "2024-12-20",
      "CancellationReason": "Vehicle sold"
    }
  }
}
```

### CancelPolicyResponse

Response for the Cancel Policy request.

*   `Status` (_string_, required) Status of the Cancel Policy request. Valid values are Success and Failure.  
    Allowed values: `Success`, `Failure`. Example: `Success`.
*   `Message` (_string_, required) Provides details about the result of the Cancel Policy request.  
    Example: `policy cancel request accepted.`.

_Example_

```
{
  "Status": "Success",
  "Message": "Policy cancel request accepted."
}
```

### ErrorResponse

Represents a standard message body to return with the error responses.

*   `errorCode` (_string_, required) Short code to identify the error.  
    Example: `INVALID_PARAMETER`.
*   `errorMessage` (_string_, required) Verbose, human-readable error message.  
    Example: `The value you entered is out of bounds.`.
*   `transactionId` (_string_, required) Request identifier.  
    Example: `“dd960082-abbf-47c2-8c65-f18eeb35848b”`.
*   `timeStamp` (_datetime_, required) Date and time of the event.  
    Example: `2019-09-23T11:46:44.256-05:00`.

### UpdateBillingFrequencyRequest

*   `UpdateBillingFrequencyRequest` (_object_, required)
    *   `policyNumber` (_string_, required) Reference number associated with the policy.
    *   `existingFrequency` (_string_, required) Current billing frequency (for example, semi-monthly (twice a month), monthly, quarterly, semi-annually, annually).
    *   `requestedFrequency` (_string_, required) Requested new billing frequency (for example, semi-monthly (twice a month), monthly, quarterly, semi-annually, annually).
    *   `reasonForChange` (_string_, required) Reason for updating the billing frequency, using ACORD code values.
    *   `effectiveDate` (_date-only_, required) ISO 8601 format (YYYY-MM-DD) date when the change should take effect.

_Example_

```
{
  "UpdateBillingFrequencyRequest": {
    "policyNumber": "POLICY123456",
    "existingFrequency": "M",
    "requestedFrequency": "Q",
    "reasonForChange": "Better cash flow management",
    "effectiveDate": "2024-01-01"
  }
} 
```

### UpdateBillingFrequencyResponse

Response for the Update Billing Frequency request.

*   `Status` (_string_, required) Status of the Update Billing Frequency request. Valid values are Success and Failure.  
    Allowed values: `Success`, `Failure`. Example: `Success`.
*   `Message` (_string_, required) Provides details about the result of the Update Billing Frequency request.  
    Example: `Billing frequency update request accepted.`.

_Example_

```
{
  "Status": "Success",
  "Message": "Billing frequency update request accepted."
} 
```